Index: /trunk/SophyaLib/NTools/generalfit.cc
===================================================================
--- /trunk/SophyaLib/NTools/generalfit.cc	(revision 913)
+++ /trunk/SophyaLib/NTools/generalfit.cc	(revision 914)
@@ -1011,89 +888,85 @@
 
 //////////////////////////////////////////////////////////////////////
-//++
+/*!
+  Methode de fit.
+  \anchor GeneralFit_Fit
+  \verbatim
+     Fonction de fit de la fonction f(x,y,z,...:p1,p2,...,pn)
+             sur les donnees x[i],y[i],z[i],...,F[i],ErrF[i]
+     - Methode:   fit des moindres carres dans le cas non lineaire
+     - Reference: Statistical and Computational Methods in Data Analysis
+                 Siegmund Brandt, North-Holland 1970  p 204-206.
+                 Introduction des limites pour la variation des parametres (cmv).
+                 Increment des parametres selon la methode de Levenberg-Marquardt
+     (Numerical Recipes in C, chap 15 Modeling of Data, Nonlinear Models,
+      Levenberg-Marquardt Method p683)
+     - Gestion des parametres bornes:
+        si p est un parametre borne entre pmin et pmax, le parametre fitte est q
+        tel que     q = tang((p-C)/D)    ....   p = C + D*atan(q)
+        ou   C = (pmin+pmax)/2.  et   D = (pmax-pmin)/Pi
+        On a  dq = (1+q**2)/D * dp    ....   dp = D/(1+q**2) * dq
+        et    dF/dq = dF/dp * dp/dq = D/(1+q**2) * dF/dp
+              dF/dp = dF/dq * dq/dp = (1+q**2)/D * dF/dp
+                                      ^ q
+                      |               |              *| "tang()"
+                      |               |              *|
+                      |               |              *|
+                      |               |             * |
+                      |               |            *  |
+                      |               |          *    |
+                      |               |       *       |
+                  Pmin|              C|   *           |Pmax
+        --------------|---------------*---------------|--------------> p
+                 -Pi/2|           *   |0              |Pi/2
+                      |       *       |               |
+                      |    *          |               |
+                      |  *            |               |
+                      | *             |               |
+                      |*              |               |
+                      |*              |               |
+                      |*              |               |
+                      <------------------- D --------->
+   
+     - Criteres de convergence, arrets standards:
+       - SOIT: le Chi2 est descendu de moins de stopChi2
+               entre l'iteration n et n+1
+               (stopChi2 est change par SetStopChi2)
+       - SOIT: 1. le chi2 est remonte de moins de stopChi2SMx et
+               2. les parametres libres ont varie de moins de Eps(i)
+                  pendant les nStopmx dernieres iterations
+               Si nStopmx<=0, alors ce critere n'est pas applique (def=3).
+               (nStopmx,stopChi2SMx sont changes par SetStopMx, Eps par SetEps)
+   
+     - Criteres de convergence, arrets par non-convergence:
+       - plus de "maxStep" iterations.
+   
+     - Criteres de convergence, arrets speciaux:
+       - Si l'utilisateur a demande explicitement la methode d'arret
+         "SetStopLent()", arret si :
+           1. le Chi2 est descendu et
+           2. les parametres libres ont varies de moins de Eps
+              pendant les nStopLent dernieres iterations.
+              (nStopLent est change par SetStopLent, Eps par SetEps)
+   
+     - Remarques diverses:
+        Les points avec erreurs <=0 ne sont pas utilises dans le fit.
+        Les bornes des parametres ne peuvent etre atteintes
+     - entrees:
+        la fonction est definie par une classe GeneralFunction
+        les donnees sont passees par une classe GeneralFitData
+        le nombre de parametres et le nombre de variables doivent etre
+           coherents entre GeneralFunction GeneralFitData GeneralFit
+     - Return: 
+          la function elle meme retourne le nombre d'iterations  du fit si succes
+          -1  : si le nombre de degre de liberte est <0
+          -10 : si l'inversion de la matrice des erreurs n'a pas ete possible
+          -11 : si un element diagonal de la matrice des covariances est <=0
+          -20 : si le fit n'a pas converge (nstep>nNstepMX)
+          -100-N : si le parametre "N" est initialise hors limites
+          -200-N : si le parametre "N" atteint sa limite inferieure
+          -300-N : si le parametre "N" atteint sa limite superieure
+  \endverbatim
+*/
 int GeneralFit::Fit()
-//
-//--
-//++
-//|  Fonction de fit de la fonction f(x,y,z,...:p1,p2,...,pn)
-//|          sur les donnees x[i],y[i],z[i],...,F[i],ErrF[i]
-//|  - Methode:   fit des moindres carres dans le cas non lineaire
-//|  - Reference: Statistical and Computational Methods in Data Analysis
-//|              Siegmund Brandt, North-Holland 1970  p 204-206.
-//|              Introduction des limites pour la variation des parametres (cmv).
-//|              Increment des parametres selon la methode de Levenberg-Marquardt
-//|  (Numerical Recipes in C, chap 15 Modeling of Data, Nonlinear Models,
-//|   Levenberg-Marquardt Method p683)
-//--
-//++
-//|  - Gestion des parametres bornes:
-//|     si p est un parametre borne entre pmin et pmax, le parametre fitte est q
-//|     tel que     q = tang((p-C)/D)    ....   p = C + D*atan(q)
-//|     ou   C = (pmin+pmax)/2.  et   D = (pmax-pmin)/Pi
-//|     On a  dq = (1+q**2)/D * dp    ....   dp = D/(1+q**2) * dq
-//|     et    dF/dq = dF/dp * dp/dq = D/(1+q**2) * dF/dp
-//|           dF/dp = dF/dq * dq/dp = (1+q**2)/D * dF/dp
-//|                                   ^ q
-//|                   |               |              *| "tang()"
-//|                   |               |              *|
-//|                   |               |              *|
-//|                   |               |             * |
-//|                   |               |            *  |
-//|                   |               |          *    |
-//|                   |               |       *       |
-//|               Pmin|              C|   *           |Pmax
-//|     --------------|---------------*---------------|--------------> p
-//|              -Pi/2|           *   |0              |Pi/2
-//|                   |       *       |               |
-//|                   |    *          |               |
-//|                   |  *            |               |
-//|                   | *             |               |
-//|                   |*              |               |
-//|                   |*              |               |
-//|                   |*              |               |
-//|                   <------------------- D --------->
-//--
-//++
-//|  - Criteres de convergence, arrets standards:
-//|    - SOIT: le Chi2 est descendu de moins de stopChi2
-//|            entre l'iteration n et n+1
-//|            (stopChi2 est change par SetStopChi2)
-//|    - SOIT: 1. le chi2 est remonte de moins de stopChi2SMx et
-//|            2. les parametres libres ont varie de moins de Eps(i)
-//|               pendant les nStopmx dernieres iterations
-//|            Si nStopmx<=0, alors ce critere n'est pas applique (def=3).
-//|            (nStopmx,stopChi2SMx sont changes par SetStopMx, Eps par SetEps)
-//|
-//|  - Criteres de convergence, arrets par non-convergence:
-//|    - plus de "maxStep" iterations.
-//|
-//|  - Criteres de convergence, arrets speciaux:
-//|    - Si l'utilisateur a demande explicitement la methode d'arret
-//|      "SetStopLent()", arret si :
-//|        1. le Chi2 est descendu et
-//|        2. les parametres libres ont varies de moins de Eps
-//|           pendant les nStopLent dernieres iterations.
-//|           (nStopLent est change par SetStopLent, Eps par SetEps)
-//|
-//--
-//++
-//|  - Remarques diverses:
-//|     Les points avec erreurs <=0 ne sont pas utilises dans le fit.
-//|     Les bornes des parametres ne peuvent etre atteintes
-//|  - entrees:
-//|     la fonction est definie par une classe GeneralFunction
-//|     les donnees sont passees par une classe GeneralFitData
-//|     le nombre de parametres et le nombre de variables doivent etre
-//|        coherents entre GeneralFunction GeneralFitData GeneralFit
-//|  - Return: 
-//|       la function elle meme retourne le nombre d'iterations  du fit si succes
-//|       -1  : si le nombre de degre de liberte est <0
-//|       -10 : si l'inversion de la matrice des erreurs n'a pas ete possible
-//|       -11 : si un element diagonal de la matrice des covariances est <=0
-//|       -20 : si le fit n'a pas converge (nstep>nNstepMX)
-//|       -100-N : si le parametre "N" est initialise hors limites
-//|       -200-N : si le parametre "N" atteint sa limite inferieure
-//|       -300-N : si le parametre "N" atteint sa limite superieure
-//--
 {
  volatile double oldChi2;
@@ -1385,12 +1258,11 @@
 
 //////////////////////////////////////////////////////////////////////
-//++
+/*!
+  Recalcul du Chi2 a partir des parametres courants (`par==NULL')
+  ou a partir du tableau de parametres `par'.
+  Retourne le chi2 et le nombre de degres de liberte.
+  Si nddl<0 probleme.
+*/
 double GeneralFit::ReCalChi2(int& nddl, double *par)
-//
-//	Recalcul du Chi2 a partir des parametres courants (`par==NULL')
-//	ou a partir du tableau de parametres `par'.
-//	Retourne le chi2 et le nombre de degres de liberte.
-//	Si nddl<0 probleme.
-//--
 {
 double c2 = -1.;
@@ -1430,15 +1302,14 @@
 
 //////////////////////////////////////////////////////////////////////
-//++
+/*!
+  Retourne une structure ``GeneralFitData'' contenant
+  les residus du fit (val-func) pour les points du fit.
+  Si ``clean'' est ``true''
+  seules les donnees valides de ``data'' sont copiees.
+  Si ``clean'' est ``false'' (defaut) toutes les donnees
+  sont copiees et la taille totale de ``data'' est allouee
+  meme si elle est plus grande que la taille des donnees stoquees.
+*/
 GeneralFitData GeneralFit::DataResidus(bool clean)
-//
-//	Retourne une structure ``GeneralFitData'' contenant
-//	les residus du fit (val-func) pour les points du fit.
-//	Si ``clean'' est ``true''
-//	seules les donnees valides de ``data'' sont copiees.
-//	Si ``clean'' est ``false'' (defaut) toutes les donnees
-//	sont copiees et la taille totale de ``data'' est allouee
-//	meme si elle est plus grande que la taille des donnees stoquees.
-//--
 {
 if(!mData || !mFunction)
@@ -1451,11 +1322,10 @@
 
 //////////////////////////////////////////////////////////////////////
-//++
+/*!
+  Retourne une structure ``GeneralFitData'' contenant
+  les valeurs de la fonction fittee pour les points du fit.
+  (voir commentaires pour ``clean'' dans ``DataResidus'')
+*/
 GeneralFitData GeneralFit::DataFunction(bool clean)
-//
-//	Retourne une structure ``GeneralFitData'' contenant
-//	les valeurs de la fonction fittee pour les points du fit.
-//	(voir commentaires pour ``clean'' dans ``DataResidus'')
-//--
 {
 if(!mData || !mFunction)
@@ -1468,10 +1338,9 @@
 
 //////////////////////////////////////////////////////////////////////
-//++
+/*!
+  Imprime le commentaire lie a l'erreur rc retournee par Fit()
+  (voir le commentaire de la methode `Fit()')
+*/
 void GeneralFit::PrintFitErr(int rc)
-//
-//	Imprime le commentaire lie a l'erreur rc retournee par Fit()
-//	(voir le commentaire de la methode `Fit()')
-//--
 {
 int n;
@@ -1632,7 +1501,11 @@
 
 //////////////////////////////////////////////////////////////////////
+/*!
+  \verbatim
+  C = (min+max)/2
+  D = (max-min)/Pi
+  \endverbatim
+*/
 void GeneralFit::Set_Bound_C_D(int i)
-// C = (min+max)/2
-// D = (max-min)/Pi
 {
   // ASSERT(i>=0 && i<mNPar);
@@ -1656,6 +1529,10 @@
 
 //////////////////////////////////////////////////////////////////////
+/*!
+  \verbatim
+  tr = tan( (p-C)/D )
+  \endverbatim
+*/
 double GeneralFit::p_vers_tr(int i,double p)
-// tr = tan( (p-C)/D )
 {
  // ASSERT(i>=0 && i<mNPar);
@@ -1687,6 +1564,10 @@
 
 //////////////////////////////////////////////////////////////////////
+/*!
+  \verbatim
+  p = C+D*atan(tr)
+  \endverbatim
+*/
 double GeneralFit::tr_vers_p(int i,double tr)
-// p = C+D*atan(tr)
 {
  // ASSERT(i>=0 && i<mNPar);
@@ -1718,7 +1599,11 @@
 
 //////////////////////////////////////////////////////////////////////
+/*!
+  \verbatim
+  dtr = (1+tr**2)/D * dp = (1+tan( (p-C)/D )**2)/D * dp = coeff * dp
+  attention: df/dp = (1+tr**2)/D * dF/dtr = coeff * dF/dtr
+  \endverbatim
+*/
 double GeneralFit::c_dp_vers_dtr(int i,double tr)
-// dtr = (1+tr**2)/D * dp = (1+tan( (p-C)/D )**2)/D * dp = coeff * dp
-// attention: df/dp = (1+tr**2)/D * dF/dtr = coeff * dF/dtr
 {
  // ASSERT(i>=0 && i<mNPar);
@@ -1750,7 +1635,11 @@
 
 //////////////////////////////////////////////////////////////////////
+/*!
+  \verbatim
+  dp = D/(1+tr**2) * dtr = coeff * dtr
+  attention: df/dtr = D/(1+tr**2) * dF/dp = coeff * dF/dp
+  \endverbatim
+*/
 double GeneralFit::c_dtr_vers_dp(int i,double tr)
-// dp = D/(1+tr**2) * dtr = coeff * dtr
-// attention: df/dtr = D/(1+tr**2) * dF/dp = coeff * dF/dp
 {
   // ASSERT(i>=0 && i<mNPar);
@@ -1776,10 +1665,14 @@
 
 //////////////////////////////////////////////////////////////////////
+/*!
+  \verbatim
+  1-/ Redefinit dp pour qu'il soit superieur a minStepDeriv
+  2-/ Redefinit dp pour que p+/-dp reste dans les limites (parametre borne)
+  Si hors limites alors:
+      p-dp <= min_p : dp = (p-min_p)*dist
+      p+dp >= max_p : dp = (max_p-p)*dist
+  \endverbatim
+*/
 int GeneralFit::put_in_limits_for_deriv(Vector const& p,Vector& dp,double dist)
-// 1-/ Redefinit dp pour qu'il soit superieur a minStepDeriv
-// 2-/ Redefinit dp pour que p+/-dp reste dans les limites (parametre borne)
-// Si hors limites alors:
-//     p-dp <= min_p : dp = (p-min_p)*dist
-//     p+dp >= max_p : dp = (max_p-p)*dist
 {
  int nchanged = 0;
@@ -1826,57 +1719,2 @@
 }
 
-
-//////////////////////////////////////////////////////////////////////
-// Rappel des inline functions pour commentaires
-//++
-// inline double   GetChi2()
-//	Retourne le Chi2
-//--
-//++
-// inline double   GetChi2Red() const
-//	Retourne le Chi2 reduit
-//--
-//++
-// inline int      GetNddl()    const
-//	Retourne le nombre de degres de liberte
-//--
-//++
-// inline int      GetNStep()   const
-//	Retourne le nombre d'iterations
-//--
-//++
-// inline int      GetNVar()    const
-//	Retourne le nombre de variables
-//--
-//++
-// inline int      GetNPar()    const
-//	Retourne le nombre de parametres
-//--
-//++
-// inline int      GetNFree()   const
-//	Retourne le nombre de parametres libres
-//--
-//++
-// inline int      GetNBound()  const
-//	Retourne le nombre de parametres bornes
-//--
-//++
-// inline int      GetNStop()   const
-//	Retourne le nstop de convergence
-//--
-//++
-// inline int      GetNStopLent()   const
-//	Retourne le nstop de convergence lente.
-//--
-//++
-// inline double   GetEps(int i)
-//	Retourne la precision de convergence pour le parametre i.
-//--
-//++
-// inline GeneralFunction*  GetFunction()
-//	Retourne le pointeur sur la GeneralFunction utilisee.
-//--
-//++
-// inline GeneralFitData*   GetGData()
-//	Retourne le pointeur sur la GeneralFitData utilisee.
-//--
Index: /trunk/SophyaLib/NTools/generalfit.h
===================================================================
--- /trunk/SophyaLib/NTools/generalfit.h	(revision 913)
+++ /trunk/SophyaLib/NTools/generalfit.h	(revision 914)
@@ -13,4 +13,9 @@
 //================================================================
 
+
+/*!
+  Classe de fonctions parametrees a plusieurs variables:
+  \f$ F[x1,x2,x3,...:a1,a2,a3,...] \f$
+*/
 class GeneralFunction {
 public:
@@ -18,4 +23,5 @@
   virtual ~GeneralFunction();
 
+  //! Valeur de la fonction a definir par l'utilisateur (fct virtuelle pure)
   virtual double Value(double const xp[], double const* parm)=0;
   virtual double Val_Der(double const xp[], double const* parm
@@ -25,10 +31,12 @@
   void SetDeltaParm(double const* dparam);
 
+  //! Retourne le nombre de variables Xi
   inline int     NVar() const {return mNVar;}
+  //! Retourne le nombre de parametres Ai
   inline int     NPar() const {return mNPar;}
 
 protected:
-  const int mNVar;  // nombre de variables f(x,y,z,...)
-  const int mNPar;  // nombre de parametres
+  const int mNVar;  //!< nombre de variables f(x,y,z,...)
+  const int mNPar;  //!< nombre de parametres
 
   double *deltaParm;
@@ -40,4 +48,12 @@
 //================================================================
 
+/*!
+  Classe de fonctions parametrees a plusieurs variables
+  derivant de ``GeneralFunction''. Permet de definir
+  une fonction a fiter sans passer par une classe derivee
+  en utilisant l'ecriture courante du C. La fonction
+  retournant les derivees par rapport aux parametres du fit
+  peut etre egalement fournie (optionnel).
+*/
 class GeneralFunc : public GeneralFunction {
 public:
@@ -62,4 +78,8 @@
 class GeneralFitData;
 
+/*!
+  Classe de Xi2 a plusieurs parametres :
+  \f$ Xi2[a1,a2,a3,...] \f$
+*/
 class GeneralXi2 {
 public:
@@ -67,4 +87,10 @@
   virtual ~GeneralXi2();
 
+  /*!
+  Valeur du Xi2 a definir par l'utilisateur (fct virtuelle pure)
+  a partir des donnees de `data'. l'utilisateur doit egalement
+  retourner le nombre de points de mesure utilises dans le calcul
+  du Xi2 (`ndataused').
+  */
   virtual double Value(GeneralFitData& data, double* parm, int& ndataused)=0;
   virtual double Derivee(GeneralFitData& data, int i, double* parm);
@@ -74,8 +100,9 @@
   void SetDeltaParm(double const* dparam);
 
+  //! Retourne le nombre de parametres Ai.
   inline int     NPar() const {return mNPar;}
 
 protected:
-  const int mNPar;  // nombre de parametres
+  const int mNPar;  //!< nombre de parametres
 
   double *deltaParm;
@@ -86,4 +113,5 @@
 //================================================================
 
+//! Classe de fit d'une GeneralFunction sur une GeneralFitData
 class GeneralFit {
 public:
@@ -129,19 +157,32 @@
   double          GetMax(int n);
   double          GetMin(int n);
+  //! Retourne le Chi2
   inline double   GetChi2()    const {return Chi2;};
+  //! Retourne le Chi2 reduit
   inline double   GetChi2Red() const {
                         if(mNddl<=0) return (double) mNddl;
                         return Chi2/(double) mNddl;
                                      };
+  //! Retourne la precision de convergence pour le parametre i.
   inline double   GetEps(int i) const {return Eps(i);};
+  //! Retourne le nombre de degres de liberte
   inline int      GetNddl()    const {return mNddl;};
+  //! Retourne le nombre d'iterations
   inline int      GetNStep()   const {return nStep;};
+  //! Retourne le nombre de variables
   inline int      GetNVar()    const {return mNVar;};
+  //! Retourne le nombre de parametres
   inline int      GetNPar()    const {return mNPar;};
+  //! Retourne le nombre de parametres libres
   inline int      GetNFree()   const {return mNParFree;};
+  //! Retourne le nombre de parametres bornes
   inline int      GetNBound()  const {return mNParBound;};
+  //! Retourne le nstop de convergence
   inline int      GetNStop()   const {return nStop;};
+  //! Retourne le nstop de convergence lente.
   inline int      GetNStopLent()   const {return nStopLent;};
+  //! Retourne le pointeur sur la GeneralFunction utilisee.
   inline GeneralFunction*  GetFunction() const {return mFunction;};
+  //! Retourne le pointeur sur la GeneralFitData utilisee.
   inline GeneralFitData*   GetGData() const {return mData;};
 
@@ -158,9 +199,9 @@
 
 protected:
-  int             mNtry;       // numero d'appel de la routine de fit.
-  int             mNVar;       // nombre de variables f(x,y,z,...)
-  int             mNPar;       // nombre de parametres
-  int             mNParFree;   // nombre de parametres libres
-  int             mNParBound;  // nombre de parametres bornes
+  int             mNtry;       //!< numero d'appel de la routine de fit.
+  int             mNVar;       //!< nombre de variables f(x,y,z,...)
+  int             mNPar;       //!< nombre de parametres
+  int             mNParFree;   //!< nombre de parametres libres
+  int             mNParBound;  //!< nombre de parametres bornes
   GeneralFunction*  mFunction;
   GeneralXi2*       mFuncXi2;
Index: /trunk/SophyaLib/TArray/tmatrix.h
===================================================================
--- /trunk/SophyaLib/TArray/tmatrix.h	(revision 913)
+++ /trunk/SophyaLib/TArray/tmatrix.h	(revision 914)
@@ -23,5 +23,5 @@
   TMatrix(const TMatrix<T>& a, bool share);
   TMatrix(const TArray<T>& a); 
-  TMatrix(const TArray<T>& a,  bool share, short mm=CMemoryMapping);
+  TMatrix(const TArray<T>& a,  bool share, short mm=AutoMemoryMapping);
   virtual ~TMatrix();
 
Index: /trunk/SophyaLib/TArray/triangmtx.h
===================================================================
--- /trunk/SophyaLib/TArray/triangmtx.h	(revision 913)
+++ /trunk/SophyaLib/TArray/triangmtx.h	(revision 914)
@@ -1,4 +1,3 @@
 // This may look like C code, but it is really -*- C++ -*-
-/*! Class for inferior triangular matrix (base class for the class Alm) */
 
 #ifndef TRIANGMTX_H_SEEN
@@ -10,15 +9,17 @@
 namespace SOPHYA {
 
+//! Class for inferior triangular matrix (base class for the class Alm)
 template <class T>
-class TriangularMatrix 
-  {
-    
-  public :
+class TriangularMatrix {
+public :
 
+//! Default constructor
 TriangularMatrix()   {};
-  /* instanciate a triangular matrix from the number of rows */
+//! instanciate a triangular matrix from the number of rows
 TriangularMatrix(int rowSize)  : long_diag_((uint_4)rowSize) {elem_.ReSize((uint_4) (rowSize*(rowSize+1)/2) ); };
+//! Copy constructor (possibility of sharing datas)
 TriangularMatrix(const TriangularMatrix<T>& a,  bool share=false)  : elem_(a.elem_, share),  long_diag_(a.long_diag_) {;}
-/*! resize the matrix with a new number of rows */
+
+//! resize the matrix with a new number of rows
 inline void ReSizeRow(int rowSize) 
   {
@@ -28,4 +29,5 @@
  inline void SetTemp(bool temp=false) const {elem_.SetTemp(temp);}
 
+//! Equal operator
 inline TriangularMatrix<T>& operator = (const TriangularMatrix<T>& a)
 {
@@ -34,15 +36,21 @@
   return *this;
 }
+
+//! () operator : access to elements row \b l and column \b m
 inline T& operator()(int l, int m) 
   {
       return  elem_(adr_ij(l,m));
   }
+//! () operator : access to elements row \b l and column \b m
 inline T const& operator()(int l, int m) const 
   {
       return *(elem_.Begin()+ adr_ij(l,m));
   }
- inline  int_4  rowNumber() const {return (int_4)long_diag_;}
-  private: 
- /*! compute the address of an element in the single array representing the matrix */
+
+//! Return number of rows
+inline  int_4  rowNumber() const {return (int_4)long_diag_;}
+
+private: 
+//! compute the address of an element in the single array representing the matrix
 inline uint_4 adr_ij(int i,int j) const 
 {
@@ -56,6 +64,6 @@
 }
 
- uint_4 long_diag_;
- NDataBlock<T> elem_;
+uint_4 long_diag_;    //!< size of the square matrix
+NDataBlock<T> elem_;  //!< Data block
 
   };
Index: /trunk/SophyaLib/TArray/tvector.cc
===================================================================
--- /trunk/SophyaLib/TArray/tvector.cc	(revision 913)
+++ /trunk/SophyaLib/TArray/tvector.cc	(revision 914)
@@ -1,3 +1,3 @@
-// $Id: tvector.cc,v 1.4 2000-04-12 17:42:30 ansari Exp $
+// $Id: tvector.cc,v 1.5 2000-04-13 16:04:49 ansari Exp $
 //                         C.Magneville          04/99
 #include "machdefs.h"
@@ -70,5 +70,5 @@
  */
 template <class T>
-TVector<T>::TVector(const TArray<T>& a, bool share, short mm, short lcv )
+TVector<T>::TVector(const TArray<T>& a, bool share, short lcv, short mm)
 : TMatrix<T>(a, share, mm)
 {
Index: /trunk/SophyaLib/TArray/tvector.h
===================================================================
--- /trunk/SophyaLib/TArray/tvector.h	(revision 913)
+++ /trunk/SophyaLib/TArray/tvector.h	(revision 914)
@@ -17,9 +17,9 @@
   // Creation / destruction 
   TVector();
-  TVector(uint_4 n, short lcv=ColumnVector, short mm=AutoMemoryMapping);
+  TVector(uint_4 n, short lcv=AutoVectorType, short mm=AutoMemoryMapping);
   TVector(const TVector<T>& v);
   TVector(const TVector<T>& v, bool share);
   TVector(const TArray<T>& a);
-  TVector(const TArray<T>& a,  bool share, short mm=CMemoryMapping, short lcv=ColumnVector);
+  TVector(const TArray<T>& a,  bool share, short lcv=AutoVectorType, short mm=AutoMemoryMapping);
 
   virtual ~TVector();
@@ -28,5 +28,4 @@
   inline  TVector<T>& operator = (const TVector<T>& a)
                        { Set(a);  return(*this); }
-
 
   // Gestion taille/Remplissage
@@ -50,5 +49,5 @@
   // Operateur d'affectation
   //! Fill the vector with Sequence \b seq
-  inline  TMatrix<T>&  operator = (Sequence seq) { SetSeq(seq); return(*this); }
+  inline  TVector<T>&  operator = (Sequence seq) { SetSeq(seq); return(*this); }
 
   // Operations diverses  avec une constante
